package pipe.gui;
import javax.swing.AbstractAction;
import javax.swing.*;
import javax.swing.JInternalFrame;
import java.awt.*;
import java.awt.event.*;

import pipe.dataLayer.*;


/**
 * Action object that can be used to effect deleting a component.
 */
public class DeleteAction extends AbstractAction {

  private String label;
  private Container contentPane;
  private PetriNetObject selected;
  private Arc selectedArc;
  private CreateGui theApp;
  private boolean nameLabel;

  public DeleteAction(Container contentPane, Component component,CreateGui app) {
    this.contentPane = contentPane;
    selected = (PetriNetObject)component;
    selectedArc = null;
    nameLabel = true;

    if (selected instanceof ArrowLabel) {
      selectedArc = ((ArrowLabel)selected).getArc();
      nameLabel = false;
    }
    theApp = app;
  }

  /** Actions deleting the component */
  public void actionPerformed(ActionEvent e) {
    //contentPane.remove(selected);
    //if (nameLabel)
    //  contentPane.remove(selected.getNameLabel());

    if (selectedArc != null) {
      //  contentPane.remove(selectedArc);
      theApp.getModel().removePetriNetObject(selectedArc);
    }

    contentPane.repaint();
    theApp.getModel().removePetriNetObject(selected);

  }

}